using namespace System;
using namespace System::Runtime::InteropServices; 

[DllImport("TUSBSCN4.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn4_Device_Open(short id);
[DllImport("TUSBSCN4.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void Tusbs03cn4_Device_Close(short id);
[DllImport("TUSBSCN4.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn4_Counter_Start(short id, unsigned char ch, unsigned char Edge, unsigned char DivI, unsigned char DivC);
[DllImport("TUSBSCN4.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn4_Counter_Stop(short id, unsigned char ch);
[DllImport("TUSBSCN4.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn4_Fifo_Cnt(short id, unsigned char ch, short *Cnt);
[DllImport("TUSBSCN4.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs03cn4_Fifo_Read(short id, unsigned char ch, short *Leng,[Out] int DataH[],[Out] int DataL[]);

static String^ Tusbs03cn4_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 2:
            return "hCoCXg[Ă܂";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        case 7:
            return "I[vĂ܂";
        case 8:
            return "p[^G[";
        case 9:
            return "USBʐMG[ł";
        default:
            return "sȃG[ł";
    }
}

