'------------------------------------------------------------
'            TUSB-S03CN4hCopWW[
'            2013/01/29
'            Ѓ^[gH
'-----------Copyright (C) 2013 Turtle Industry Co., Ltd.-----
Option Strict Off
Option Explicit On
Imports System.Runtime.InteropServices
Module TUSBSCN4

    <DllImport("TUSBSCN4.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn4_Device_Open( _
                                ByVal id As Short) _
                            As Short
    End Function
    <DllImport("TUSBSCN4.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Sub Tusbs03cn4_Device_Close(ByVal id As Short)
    End Sub
    <DllImport("TUSBSCN4.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn4_Counter_Start( _
                                ByVal id As Short, _
                                ByVal ch As Byte, _
                                ByVal Edge As Byte, _
                                ByVal DivI As Byte, _
                                ByVal DivC As Byte) _
                            As Short
    End Function
    <DllImport("TUSBSCN4.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn4_Counter_Stop( _
                                ByVal id As Short, _
                                ByVal ch As Byte) _
                            As Short
    End Function
    <DllImport("TUSBSCN4.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn4_Fifo_Cnt( _
                                ByVal id As Short, _
                                ByVal ch As Byte, _
                                ByRef Cnt As Short) _
                            As Short
    End Function
    <DllImport("TUSBSCN4.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs03cn4_Fifo_Read( _
                                ByVal id As Short, _
                                ByVal ch As Byte, _
                                ByRef Leng As Short, _
                                <[In](), Out()> ByVal DataH() As Integer, _
                                <[In](), Out()> ByVal DataL() As Integer) _
                            As Short
    End Function

    'G[bZ[Wo
    Function Tusbs03cn4_GetErrMessage(ByVal retcode As Short) As String
        Select Case retcode
            Case 0
                Return "I܂"
            Case 1
                Return "IDԍsł"
            Case 2
                Return "hCoCXg[Ă܂"
            Case 3
                Return "łɃfoCX̓I[vĂ܂"
            Case 4
                Return "ڑĂ䐔܂"
            Case 5
                Return "I[vł܂ł"
            Case 6
                Return "foCX݂܂"
            Case 7
                Return "I[vĂ܂"
            Case 8
                Return "p[^G["
            Case 9
                Return "USBʐMG[ł"
            Case Else
                Return "sȃG[ł"
        End Select
    End Function
End Module

